Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 588802 - Dell H700 SAS RAID controller not recognized
Dell H700 SAS RAID controller not recognized
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
: 589893 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-04 12:28 EDT by Johnny Willemsen
Modified: 2012-02-28 13:22 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-28 13:22:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johnny Willemsen 2010-05-04 12:28:46 EDT
Description of problem:
We have a Dell R710 with a Dell H700 SAS RAID controller using a RAID 0 volume group. The installation of FC13 and FC12 don't see any disk

Version-Release number of selected component (if applicable):


How reproducible:
Use a Dell R710 with H700 controller and start the installation

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
http://support.dell.com/support/edocs/storage/Storlink/H700H800/en/UG/HTML/chaptere.htm
Comment 1 Johnny Willemsen 2010-05-04 13:11:28 EDT
we tried to compile the driver for megaraid_sas as per Dell instructions on FC12 (where also the H700 doesn't get recognized), but than we get

DKMS make.log for megaraid_sas-v00.00.04.17 for kernel 2.6.32.11-99.fc12.x86_64 (x86_64)
Tue May  4 15:51:23 CEST 2010
make: Entering directory `/usr/src/kernels/2.6.32.11-99.fc12.x86_64'
  CC [M]  /var/lib/dkms/megaraid_sas/v00.00.04.17/build/megaraid_sas.o
/var/lib/dkms/megaraid_sas/v00.00.04.17/build/megaraid_sas.c: In function ‘megasas_make_sgl_skinny’:
/var/lib/dkms/megaraid_sas/v00.00.04.17/build/megaraid_sas.c:729: error: ‘struct scsi_cmnd’ has no member named ‘request_buffer’
/var/lib/dkms/megaraid_sas/v00.00.04.17/build/megaraid_sas.c:729: error: ‘struct scsi_cmnd’ has no member named ‘request_bufflen’
/var/lib/dkms/megaraid_sas/v00.00.04.17/build/megaraid_sas.c:732: error: ‘struct scsi_cmnd’ has no member named ‘use_sg’
/var/lib/dkms/megaraid_sas/v00.00.04.17/build/megaraid_sas.c:735: error: ‘struct scsi_cmnd’ has no member named ‘request_buffer’
/var/lib/dkms/megaraid_sas/v00.00.04.17/build/megaraid_sas.c:737: error: ‘struct scsi_cmnd’ has no member named ‘request_bufflen’
/var/lib/dkms/megaraid_sas/v00.00.04.17/build/megaraid_sas.c:741: error: ‘struct scsi_cmnd’ has no member named ‘request_bufflen’
/var/lib/dkms/megaraid_sas/v00.00.04.17/build/megaraid_sas.c:746: error: ‘struct scsi_cmnd’ has no member named ‘request_buffer’
/var/lib/dkms/megaraid_sas/v00.00.04.17/build/megaraid_sas.c:747: error: ‘struct scsi_cmnd’ has no member named ‘use_sg’
/var/lib/dkms/megaraid_sas/v00.00.04.17/build/megaraid_sas.c: In function ‘megasas_build_dcdb’:
/var/lib/dkms/megaraid_sas/v00.00.04.17/build/megaraid_sas.c:872: error: ‘struct scsi_cmnd’ has no member named ‘timeout_per_command’
/var/lib/dkms/megaraid_sas/v00.00.04.17/build/megaraid_sas.c:875: error: ‘struct scsi_cmnd’ has no member named ‘timeout_per_command’
/var/lib/dkms/megaraid_sas/v00.00.04.17/build/megaraid_sas.c: In function ‘megasas_build_ldio’:
/var/lib/dkms/megaraid_sas/v00.00.04.17/build/megaraid_sas.c:930: error: ‘mfi_flag’ undeclared (first use in this function)
/var/lib/dkms/megaraid_sas/v00.00.04.17/build/megaraid_sas.c:930: error: (Each undeclared identifier is reported only once
/var/lib/dkms/megaraid_sas/v00.00.04.17/build/megaraid_sas.c:930: error: for each function it appears in.)
/var/lib/dkms/megaraid_sas/v00.00.04.17/build/megaraid_sas.c:930: error: ‘flag’ undeclared (first use in this function)
/var/lib/dkms/megaraid_sas/v00.00.04.17/build/megaraid_sas.c:933: error: ‘ldio’ undeclared (first use in this function)
/var/lib/dkms/megaraid_sas/v00.00.04.17/build/megaraid_sas.c: In function ‘megasas_slave_configure’:
/var/lib/dkms/megaraid_sas/v00.00.04.17/build/megaraid_sas.c:1219: error: implicit declaration of function ‘megasas_lookup_instance’
/var/lib/dkms/megaraid_sas/v00.00.04.17/build/megaraid_sas.c:1219: warning: assignment makes pointer from integer without a cast
/var/lib/dkms/megaraid_sas/v00.00.04.17/build/megaraid_sas.c:1232: error: ‘struct scsi_device’ has no member named ‘timeout’
/var/lib/dkms/megaraid_sas/v00.00.04.17/build/megaraid_sas.c: In function ‘megasas_service_aen’:
/var/lib/dkms/megaraid_sas/v00.00.04.17/build/megaraid_sas.c:1543: warning: ISO C90 forbids mixed declarations and code
/var/lib/dkms/megaraid_sas/v00.00.04.17/build/megaraid_sas.c:1549: warning: assignment from incompatible pointer type
/var/lib/dkms/megaraid_sas/v00.00.04.17/build/megaraid_sas.c:1550: warning: passing argument 1 of ‘schedule_delayed_work’ from incompatible pointer type
include/linux/workqueue.h:214: note: expected ‘struct delayed_work *’ but argument is of type ‘struct work_struct *’
/var/lib/dkms/megaraid_sas/v00.00.04.17/build/megaraid_sas.c: In function ‘megasas_slave_alloc’:
/var/lib/dkms/megaraid_sas/v00.00.04.17/build/megaraid_sas.c:1558: error: ‘fast_load’ undeclared (first use in this function)
/var/lib/dkms/megaraid_sas/v00.00.04.17/build/megaraid_sas.c:1559: warning: assignment makes pointer from integer without a cast
/var/lib/dkms/megaraid_sas/v00.00.04.17/build/megaraid_sas.c: In function ‘megasas_probe_one’:
/var/lib/dkms/megaraid_sas/v00.00.04.17/build/megaraid_sas.c:3100: error: expected ‘;’ before ‘megasas_poll_wait_aen’
/var/lib/dkms/megaraid_sas/v00.00.04.17/build/megaraid_sas.c: At top level:
/var/lib/dkms/megaraid_sas/v00.00.04.17/build/megaraid_sas.c:3743: error: conflicting types for ‘megasas_lookup_instance’
/var/lib/dkms/megaraid_sas/v00.00.04.17/build/megaraid_sas.c:1219: note: previous implicit declaration of ‘megasas_lookup_instance’ was here
/var/lib/dkms/megaraid_sas/v00.00.04.17/build/megaraid_sas.c:4048: error: conflicting types for ‘megasas_aen_polling’
/var/lib/dkms/megaraid_sas/v00.00.04.17/build/megaraid_sas.c:1506: note: previous declaration of ‘megasas_aen_polling’ was here
/var/lib/dkms/megaraid_sas/v00.00.04.17/build/megaraid_sas.c: In function ‘megasas_aen_polling’:
/var/lib/dkms/megaraid_sas/v00.00.04.17/build/megaraid_sas.c:4227: warning: passing argument 1 of ‘down’ from incompatible pointer type
Comment 2 Johnny Willemsen 2010-05-06 05:03:01 EDT
We have been able to compile the driver but still it doesn't recognize the disks. RHEL 5.5 does recognize the disks
Comment 3 Johnny Willemsen 2010-05-06 08:59:40 EDT
OpenSuSE 11.3 milestone 6 also recognizes the H700
Comment 4 MCorino 2010-05-07 06:13:21 EDT
*** Bug 589893 has been marked as a duplicate of this bug. ***
Comment 5 Bruno Mairlot 2010-06-21 12:31:36 EDT
I confirm I can reproduce the problem with other familly of server. We have a R310 with a H700 and there is no way to get Fedora 13 to see the disks.
Comment 6 Johnny Willemsen 2010-06-21 12:49:33 EDT
RHEL 5.6 beta also recognize the disks
Comment 7 Bruno Mairlot 2010-06-22 13:32:48 EDT
I have made further test. The problem occurs also on R510 servers, but more randomly.

On a R310, you'll see absolutely no device attached to the server (not even an USB CD drive used to boot stage1).

On an almost same configuration (Raid Ctrl firmware is the same) but R510 chassis it boots with the same problem (no block device found). 

Still on this R510, while trying to use a disk driver, I booted on the CD but with the usb key plugged in and strangely anaconda saw the drive instantly without problems.

I could not reproduce this on the R310 though.

I also tried with RHEL 6.0 beta and it is running fine.
Comment 8 Chuck Ebbert 2010-06-23 18:46:12 EDT
Try adding:

  pcie_aspm=off

to the kernel boot options.
Comment 9 Bjorge Solli 2010-06-24 04:01:30 EDT
I'm very interested if someone try this on fedora 12. I'm considering buying a R815 with this card.
Comment 10 MCorino 2010-06-24 04:39:30 EDT
I've just tested the suggested workaround using Fedora 13 on our R710 and am sorry to report it's not working.
Still no drives visible.
This makes it very unlikely it would work on Fedora 12.
Comment 11 Bruno Mairlot 2010-06-24 08:00:47 EDT
I have tried with pcie_aspm=off, but it didn't change anything.

I don't know for the R815, but it is very likely that F12 and F13 will not see it because the problem can be reproduced on R310, R510 is rand and apparently R710 has it too.

I have just tested a CentOS 5.5 disk and the disk is found. I also tried Ubuntu 10.04 and it is running fine too.
Comment 12 Bjorge Solli 2010-06-25 07:07:48 EDT
Have anyone tried using the PERC H200 instead?
Comment 13 Bruno Mairlot 2010-06-25 09:16:36 EDT
I didn't try yet with a H200, although I intend to repeat the process with a R610 and a H700 as well as with a R310 and a SAS 6i/r ctrl.

Although, I have been able to make the Fedora 13 installer always recognize the H700 on a R510. I had to disable the USB drive and boot only from the DRAC (virtual CD). This way, it seems that the kernel is not confused and finds the H700 ctrl.

Of course, I have tried on the R310, but it didn't work.
Comment 14 Bruno Mairlot 2010-06-25 09:57:39 EDT
I have just installed F13 on a R610 with the H700 ctrl and it worked like a breeze. No trouble whatsoever.

One of the difference though, was that the r610 had an internal sata CD drive. I will try to plug the dvd drive on the faulty r310 to see if it changes something.
Comment 15 MCorino 2010-06-28 04:13:48 EDT
The R710 has an internal SATA CD drive like the R610 but stil no luck here.

I've tried installing F13 from the iDRAC virtual CD but that made no difference.
When I disabled the SATA CD drive F13 refused to install at all because it did not see any disk device.
Comment 16 Lance Grover 2010-06-30 03:29:31 EDT
I was able to get a Dell T710 with a H700 to work with Fedora 12 by passing the iommu=soft to the kernel at boot, both for install and then after.  (then also putting it in the grub.conf)  I also used the pcie_aspm=off because that combination also seemed to help a similar issue we were having on a R510 with a different raid card.
Comment 17 Bruno Mairlot 2010-06-30 05:12:10 EDT
I confirm I too was able to make the kernel see the controller as well as the CD by passing iommu=soft as a parameter.

Althgouh, using the combination of both iommu=soft and pcie_aspm=off make anaconda hangs at the startup (just after the line launching anaconda before switching to the graphical install).

I also had to put iommu=soft to the grub.conf.

But at least it works for me.

Thanks Lance for the info.

Bruno
Comment 18 MCorino 2010-06-30 06:21:29 EDT
I also can confirm Lance's workaround works for our R710 and F13 x86_64.

I installed with both iommu=soft and pcie_aspm=off without problems.
Then updated grub.conf with only iommu=soft and that continues to work fine too.

Thnx to Lance for the info.
Comment 19 Pasi Karkkainen 2010-08-17 17:30:36 EDT
I just tried installing F13 on Dell R410, and it fails to detect megaraid_sas (Dell PERC H700) disks.

I managed to capture the dmesg from the installer, the driver seems to be producing errors.

Full log available here:
http://pasik.reaktio.net/fedora/r410-f13/dmesg.txt



INFO: task scsi_scan_2:376 blocked for more than 120 seconds.
"echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
scsi_scan_2   D ffff88031cf11750     0   376      2 0x00000000
 ffff88031ae0b910 0000000000000046 ffff88031ae0b880 ffffffff81a7dcd0
 ffff8803226fb090 ffff88031ac3b000 0000000000000001 ffff88031ae0bfd8
 ffff88031ae0bfd8 000000000000f9b0 00000000000157c0 ffff88031cf11b18
Call Trace:
 [<ffffffff812bcc97>] ? scsi_done+0x0/0x12
 [<ffffffffa00666d9>] ? megasas_make_sgl64+0x4f/0x5f [megaraid_sas]
 [<ffffffff81429ab9>] schedule_timeout+0x31/0xde
 [<ffffffff811fd228>] ? kobject_put+0x47/0x4b
 [<ffffffff812aab08>] ? put_device+0x12/0x14
 [<ffffffff8142994b>] wait_for_common+0xd1/0x12c
 [<ffffffff810465a1>] ? default_wake_function+0x0/0xf
 [<ffffffff811eb964>] ? __generic_unplug_device+0x2d/0x32
 [<ffffffff81429a30>] wait_for_completion+0x18/0x1a
 [<ffffffff811ef8f9>] blk_execute_rq+0xa1/0xd0
 [<ffffffff811e9e73>] ? blk_rq_bio_prep+0x3a/0x6e
 [<ffffffff811ef555>] ? blk_rq_map_kern+0xed/0x11f
 [<ffffffff812c3cd5>] scsi_execute+0xf1/0x143
 [<ffffffff812c3dcb>] scsi_execute_req+0xa4/0xd6
 [<ffffffff812c503d>] scsi_probe_and_add_lun+0x2cb/0xc2d
 [<ffffffff8142a0e0>] ? mutex_lock+0x24/0x4b
 [<ffffffff812aaae1>] ? get_device+0x14/0x1a
 [<ffffffff812c4b18>] ? scsi_alloc_target+0x228/0x26c
 [<ffffffff812c5b54>] __scsi_scan_target+0xb5/0x5f1
 [<ffffffff81044ea0>] ? pull_task+0x4c/0x55
 [<ffffffff8103b6cf>] ? __dequeue_entity+0x2e/0x33
 [<ffffffff812c60e8>] scsi_scan_channel+0x58/0x80
 [<ffffffff812c61f9>] scsi_scan_host_selected+0xe9/0x12a
 [<ffffffff812c62a5>] do_scsi_scan_host+0x6b/0x70
 [<ffffffff812c62c1>] do_scan_async+0x17/0x121
 [<ffffffff812c62aa>] ? do_scan_async+0x0/0x121
 [<ffffffff810643c7>] kthread+0x7a/0x82
 [<ffffffff8100a924>] kernel_thread_helper+0x4/0x10
 [<ffffffff8106434d>] ? kthread+0x0/0x82
 [<ffffffff8100a920>] ? kernel_thread_helper+0x0/0x10
INFO: task scsi_scan_0:383 blocked for more than 120 seconds.
"echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
scsi_scan_0   D ffff88031cf145f0     0   383      2 0x00000000
 ffff88031cfb5da0 0000000000000046 ffff88031cfb5de0 ffffffff812c606a
 00000000000157c0 ffff88031cfb5eac 0000000200000000 ffff88031cfb5fd8
 ffff88031cfb5fd8 000000000000f9b0 00000000000157c0 ffff88031cf149b8
Call Trace:
 [<ffffffff812c606a>] ? __scsi_scan_target+0x5cb/0x5f1
 [<ffffffff81429ab9>] schedule_timeout+0x31/0xde
 [<ffffffff812c60e8>] ? scsi_scan_channel+0x58/0x80
 [<ffffffff8142994b>] wait_for_common+0xd1/0x12c
 [<ffffffff810465a1>] ? default_wake_function+0x0/0xf
 [<ffffffff81429a30>] wait_for_completion+0x18/0x1a
 [<ffffffff812c631e>] do_scan_async+0x74/0x121
 [<ffffffff812c62aa>] ? do_scan_async+0x0/0x121
 [<ffffffff810643c7>] kthread+0x7a/0x82
 [<ffffffff8100a924>] kernel_thread_helper+0x4/0x10
 [<ffffffff8106434d>] ? kthread+0x0/0x82
 [<ffffffff8100a920>] ? kernel_thread_helper+0x0/0x10
INFO: task scsi_scan_1:384 blocked for more than 120 seconds.
"echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
scsi_scan_1   D ffff88031acd0000     0   384      2 0x00000000
 ffff88031ad07da0 0000000000000046 ffff88031ad07de0 ffffffff812c606a
 00000000000157c0 ffff88031ad07eac 0000000200000000 ffff88031ad07fd8
 ffff88031ad07fd8 000000000000f9b0 00000000000157c0 ffff88031acd03c8
Call Trace:
 [<ffffffff812c606a>] ? __scsi_scan_target+0x5cb/0x5f1
 [<ffffffff8142b1ce>] ? common_interrupt+0xe/0x13
 [<ffffffff8142b1ce>] ? common_interrupt+0xe/0x13
 [<ffffffff81429ab9>] schedule_timeout+0x31/0xde
 [<ffffffff8142994b>] wait_for_common+0xd1/0x12c
 [<ffffffff810465a1>] ? default_wake_function+0x0/0xf
 [<ffffffff81429a30>] wait_for_completion+0x18/0x1a
 [<ffffffff812c631e>] do_scan_async+0x74/0x121
 [<ffffffff812c62aa>] ? do_scan_async+0x0/0x121
 [<ffffffff810643c7>] kthread+0x7a/0x82
 [<ffffffff8100a924>] kernel_thread_helper+0x4/0x10
 [<ffffffff81009d1a>] ? int_ret_from_sys_call+0x0/0x1b
 [<ffffffff8106434d>] ? kthread+0x0/0x82
 [<ffffffff8100a920>] ? kernel_thread_helper+0x0/0x10
megasas: [50]waiting for 1 commands to complete
megasas: [55]waiting for 1 commands to complete
megasas: [60]waiting for 1 commands to complete
megasas: [65]waiting for 1 commands to complete
megasas: [70]waiting for 1 commands to complete
megasas: [75]waiting for 1 commands to complete
megasas: [80]waiting for 1 commands to complete
megasas: [85]waiting for 1 commands to complete
megasas: [90]waiting for 1 commands to complete
megasas: [95]waiting for 1 commands to complete
megasas: [100]waiting for 1 commands to complete
megasas: [105]waiting for 1 commands to complete
megasas: [110]waiting for 1 commands to complete
megasas: [115]waiting for 1 commands to complete
megasas: [120]waiting for 1 commands to complete
megasas: [125]waiting for 1 commands to complete
megasas: [130]waiting for 1 commands to complete
megasas: [135]waiting for 1 commands to complete
megasas: [140]waiting for 1 commands to complete
megasas: [145]waiting for 1 commands to complete
megasas: [150]waiting for 1 commands to complete
megasas: [155]waiting for 1 commands to complete
megasas: [160]waiting for 1 commands to complete
megasas: [165]waiting for 1 commands to complete
INFO: task scsi_scan_2:376 blocked for more than 120 seconds.
"echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
scsi_scan_2   D ffff88031cf11750     0   376      2 0x00000000
 ffff88031ae0b910 0000000000000046 ffff88031ae0b880 ffffffff81a7dcd0
 ffff8803226fb090 ffff88031ac3b000 0000000000000001 ffff88031ae0bfd8
 ffff88031ae0bfd8 000000000000f9b0 00000000000157c0 ffff88031cf11b18
Call Trace:
 [<ffffffff812bcc97>] ? scsi_done+0x0/0x12
 [<ffffffffa00666d9>] ? megasas_make_sgl64+0x4f/0x5f [megaraid_sas]
 [<ffffffff81429ab9>] schedule_timeout+0x31/0xde
 [<ffffffff811fd228>] ? kobject_put+0x47/0x4b
 [<ffffffff812aab08>] ? put_device+0x12/0x14
 [<ffffffff8142994b>] wait_for_common+0xd1/0x12c
 [<ffffffff810465a1>] ? default_wake_function+0x0/0xf
 [<ffffffff811eb964>] ? __generic_unplug_device+0x2d/0x32
 [<ffffffff81429a30>] wait_for_completion+0x18/0x1a
 [<ffffffff811ef8f9>] blk_execute_rq+0xa1/0xd0
 [<ffffffff811e9e73>] ? blk_rq_bio_prep+0x3a/0x6e
 [<ffffffff811ef555>] ? blk_rq_map_kern+0xed/0x11f
 [<ffffffff812c3cd5>] scsi_execute+0xf1/0x143
 [<ffffffff812c3dcb>] scsi_execute_req+0xa4/0xd6
 [<ffffffff812c503d>] scsi_probe_and_add_lun+0x2cb/0xc2d
 [<ffffffff8142a0e0>] ? mutex_lock+0x24/0x4b
 [<ffffffff812aaae1>] ? get_device+0x14/0x1a
 [<ffffffff812c4b18>] ? scsi_alloc_target+0x228/0x26c
 [<ffffffff812c5b54>] __scsi_scan_target+0xb5/0x5f1
 [<ffffffff81044ea0>] ? pull_task+0x4c/0x55
 [<ffffffff8103b6cf>] ? __dequeue_entity+0x2e/0x33
 [<ffffffff812c60e8>] scsi_scan_channel+0x58/0x80
 [<ffffffff812c61f9>] scsi_scan_host_selected+0xe9/0x12a
 [<ffffffff812c62a5>] do_scsi_scan_host+0x6b/0x70
 [<ffffffff812c62c1>] do_scan_async+0x17/0x121
 [<ffffffff812c62aa>] ? do_scan_async+0x0/0x121
 [<ffffffff810643c7>] kthread+0x7a/0x82
 [<ffffffff8100a924>] kernel_thread_helper+0x4/0x10
 [<ffffffff8106434d>] ? kthread+0x0/0x82
 [<ffffffff8100a920>] ? kernel_thread_helper+0x0/0x10
INFO: task scsi_scan_0:383 blocked for more than 120 seconds.
"echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
scsi_scan_0   D ffff88031cf145f0     0   383      2 0x00000000
 ffff88031cfb5da0 0000000000000046 ffff88031cfb5de0 ffffffff812c606a
 00000000000157c0 ffff88031cfb5eac 0000000200000000 ffff88031cfb5fd8
 ffff88031cfb5fd8 000000000000f9b0 00000000000157c0 ffff88031cf149b8
Call Trace:
 [<ffffffff812c606a>] ? __scsi_scan_target+0x5cb/0x5f1
 [<ffffffff81429ab9>] schedule_timeout+0x31/0xde
 [<ffffffff812c60e8>] ? scsi_scan_channel+0x58/0x80
 [<ffffffff8142994b>] wait_for_common+0xd1/0x12c
 [<ffffffff810465a1>] ? default_wake_function+0x0/0xf
 [<ffffffff81429a30>] wait_for_completion+0x18/0x1a
 [<ffffffff812c631e>] do_scan_async+0x74/0x121
 [<ffffffff812c62aa>] ? do_scan_async+0x0/0x121
 [<ffffffff810643c7>] kthread+0x7a/0x82
 [<ffffffff8100a924>] kernel_thread_helper+0x4/0x10
 [<ffffffff8106434d>] ? kthread+0x0/0x82
 [<ffffffff8100a920>] ? kernel_thread_helper+0x0/0x10
INFO: task scsi_scan_1:384 blocked for more than 120 seconds.
"echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
scsi_scan_1   D ffff88031acd0000     0   384      2 0x00000000
 ffff88031ad07da0 0000000000000046 ffff88031ad07de0 ffffffff812c606a
 00000000000157c0 ffff88031ad07eac 0000000200000000 ffff88031ad07fd8
 ffff88031ad07fd8 000000000000f9b0 00000000000157c0 ffff88031acd03c8
Call Trace:
 [<ffffffff812c606a>] ? __scsi_scan_target+0x5cb/0x5f1
 [<ffffffff8142b1ce>] ? common_interrupt+0xe/0x13
 [<ffffffff8142b1ce>] ? common_interrupt+0xe/0x13
 [<ffffffff81429ab9>] schedule_timeout+0x31/0xde
 [<ffffffff8142994b>] wait_for_common+0xd1/0x12c
 [<ffffffff810465a1>] ? default_wake_function+0x0/0xf
 [<ffffffff81429a30>] wait_for_completion+0x18/0x1a
 [<ffffffff812c631e>] do_scan_async+0x74/0x121
 [<ffffffff812c62aa>] ? do_scan_async+0x0/0x121
 [<ffffffff810643c7>] kthread+0x7a/0x82
 [<ffffffff8100a924>] kernel_thread_helper+0x4/0x10
 [<ffffffff81009d1a>] ? int_ret_from_sys_call+0x0/0x1b
 [<ffffffff8106434d>] ? kthread+0x0/0x82
 [<ffffffff8100a920>] ? kernel_thread_helper+0x0/0x10
megasas: [170]waiting for 1 commands to complete
megasas: [175]waiting for 1 commands to complete

megasas[2]: Dumping Frame Phys Address of all pending cmds in FW
megasas[2]: Total OS Pending cmds : 1

megasas[2]: 64 bit SGLs were sent to FW
megasas[2]: Pending OS cmds in FW : 
megasas[2]: Frame addr :0xfffed800 : 
megasas[2]: frame count : 0x1, Cmd : 0x4, Tgt id : 0x20, lun : 0x0, cdb_len : 0x6, data xfer len : 0x24, sense_buf addr : 0xffff0500,sge count : 0x1


megasas[2]: Pending Internal cmds in FW : 
megasas[2]: Dumping Done.

megasas: failed to do reset
scsi 2:0:32:0: megasas: RESET -37 cmd=12 retries=0
megasas: cannot recover from previous reset failures
scsi 2:0:32:0: megasas: RESET -37 cmd=12 retries=0
megasas: cannot recover from previous reset failures
scsi 2:0:32:0: Device offlined - not ready after error recovery
INFO: task scsi_scan_0:383 blocked for more than 120 seconds.
"echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
scsi_scan_0   D ffff88031cf145f0     0   383      2 0x00000000
 ffff88031cfb5da0 0000000000000046 ffff88031cfb5de0 ffffffff812c606a
 00000000000157c0 ffff88031cfb5eac 0000000200000000 ffff88031cfb5fd8
 ffff88031cfb5fd8 000000000000f9b0 00000000000157c0 ffff88031cf149b8
Call Trace:
 [<ffffffff812c606a>] ? __scsi_scan_target+0x5cb/0x5f1
 [<ffffffff81429ab9>] schedule_timeout+0x31/0xde
 [<ffffffff812c60e8>] ? scsi_scan_channel+0x58/0x80
 [<ffffffff8142994b>] wait_for_common+0xd1/0x12c
 [<ffffffff810465a1>] ? default_wake_function+0x0/0xf
 [<ffffffff81429a30>] wait_for_completion+0x18/0x1a
 [<ffffffff812c631e>] do_scan_async+0x74/0x121
 [<ffffffff812c62aa>] ? do_scan_async+0x0/0x121
 [<ffffffff810643c7>] kthread+0x7a/0x82
 [<ffffffff8100a924>] kernel_thread_helper+0x4/0x10
 [<ffffffff8106434d>] ? kthread+0x0/0x82
 [<ffffffff8100a920>] ? kernel_thread_helper+0x0/0x10
INFO: task scsi_scan_1:384 blocked for more than 120 seconds.
"echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
scsi_scan_1   D ffff88031acd0000     0   384      2 0x00000000
 ffff88031ad07da0 0000000000000046 ffff88031ad07de0 ffffffff812c606a
 00000000000157c0 ffff88031ad07eac 0000000200000000 ffff88031ad07fd8
 ffff88031ad07fd8 000000000000f9b0 00000000000157c0 ffff88031acd03c8
Call Trace:
 [<ffffffff812c606a>] ? __scsi_scan_target+0x5cb/0x5f1
 [<ffffffff8142b1ce>] ? common_interrupt+0xe/0x13
 [<ffffffff8142b1ce>] ? common_interrupt+0xe/0x13
 [<ffffffff81429ab9>] schedule_timeout+0x31/0xde
 [<ffffffff8142994b>] wait_for_common+0xd1/0x12c
 [<ffffffff810465a1>] ? default_wake_function+0x0/0xf
 [<ffffffff81429a30>] wait_for_completion+0x18/0x1a
 [<ffffffff812c631e>] do_scan_async+0x74/0x121
 [<ffffffff812c62aa>] ? do_scan_async+0x0/0x121
 [<ffffffff810643c7>] kthread+0x7a/0x82
 [<ffffffff8100a924>] kernel_thread_helper+0x4/0x10
 [<ffffffff81009d1a>] ? int_ret_from_sys_call+0x0/0x1b
 [<ffffffff8106434d>] ? kthread+0x0/0x82
 [<ffffffff8100a920>] ? kernel_thread_helper+0x0/0x10
INFO: task scsi_scan_2:376 blocked for more than 120 seconds.
"echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
scsi_scan_2   D 0000000000000000     0   376      2 0x00000000
 ffff88031ae0b910 0000000000000046 0000000000000000 ffff88031cd5d8c0
 ffff88031ae0b8e0 ffffffff812c2139 ffff88031ade8540 ffff88031ae0bfd8
 ffff88031ae0bfd8 000000000000f9b0 00000000000157c0 ffff88031cf11b18
Call Trace:
 [<ffffffff812c2139>] ? scsi_run_queue+0x2d4/0x36b
 [<ffffffff81429ab9>] schedule_timeout+0x31/0xde
 [<ffffffff811fd228>] ? kobject_put+0x47/0x4b
 [<ffffffff812aab08>] ? put_device+0x12/0x14
 [<ffffffff8142994b>] wait_for_common+0xd1/0x12c
 [<ffffffff810465a1>] ? default_wake_function+0x0/0xf
 [<ffffffff811eb964>] ? __generic_unplug_device+0x2d/0x32
 [<ffffffff81429a30>] wait_for_completion+0x18/0x1a
 [<ffffffff811ef8f9>] blk_execute_rq+0xa1/0xd0
 [<ffffffff811e9e73>] ? blk_rq_bio_prep+0x3a/0x6e
 [<ffffffff811ef555>] ? blk_rq_map_kern+0xed/0x11f
 [<ffffffff812c3cd5>] scsi_execute+0xf1/0x143
 [<ffffffff812c3dcb>] scsi_execute_req+0xa4/0xd6
 [<ffffffff812c503d>] scsi_probe_and_add_lun+0x2cb/0xc2d
 [<ffffffff812aaae1>] ? get_device+0x14/0x1a
 [<ffffffff812c4b18>] ? scsi_alloc_target+0x228/0x26c
 [<ffffffff812c5b54>] __scsi_scan_target+0xb5/0x5f1
 [<ffffffff81044ea0>] ? pull_task+0x4c/0x55
 [<ffffffff8103b6cf>] ? __dequeue_entity+0x2e/0x33
 [<ffffffff812c60e8>] scsi_scan_channel+0x58/0x80
 [<ffffffff812c61f9>] scsi_scan_host_selected+0xe9/0x12a
 [<ffffffff812c62a5>] do_scsi_scan_host+0x6b/0x70
 [<ffffffff812c62c1>] do_scan_async+0x17/0x121
 [<ffffffff812c62aa>] ? do_scan_async+0x0/0x121
 [<ffffffff810643c7>] kthread+0x7a/0x82
 [<ffffffff8100a924>] kernel_thread_helper+0x4/0x10
 [<ffffffff8106434d>] ? kthread+0x0/0x82
 [<ffffffff8100a920>] ? kernel_thread_helper+0x0/0x10
INFO: task scsi_scan_0:383 blocked for more than 120 seconds.
"echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
scsi_scan_0   D ffff88031cf145f0     0   383      2 0x00000000
 ffff88031cfb5da0 0000000000000046 ffff88031cfb5de0 ffffffff812c606a
 00000000000157c0 ffff88031cfb5eac 0000000200000000 ffff88031cfb5fd8
 ffff88031cfb5fd8 000000000000f9b0 00000000000157c0 ffff88031cf149b8
Call Trace:
 [<ffffffff812c606a>] ? __scsi_scan_target+0x5cb/0x5f1
 [<ffffffff81429ab9>] schedule_timeout+0x31/0xde
 [<ffffffff812c60e8>] ? scsi_scan_channel+0x58/0x80
 [<ffffffff8142994b>] wait_for_common+0xd1/0x12c
 [<ffffffff810465a1>] ? default_wake_function+0x0/0xf
 [<ffffffff81429a30>] wait_for_completion+0x18/0x1a
 [<ffffffff812c631e>] do_scan_async+0x74/0x121
 [<ffffffff812c62aa>] ? do_scan_async+0x0/0x121
 [<ffffffff810643c7>] kthread+0x7a/0x82
 [<ffffffff8100a924>] kernel_thread_helper+0x4/0x10
 [<ffffffff8106434d>] ? kthread+0x0/0x82
 [<ffffffff8100a920>] ? kernel_thread_helper+0x0/0x10
Comment 20 Pasi Karkkainen 2010-08-17 17:44:08 EDT
Booting the F13 installer with iommu=soft makes it work also on my Dell R410 + H700.
Comment 21 Bug Zapper 2011-06-02 10:30:24 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 22 Bug Zapper 2011-06-27 12:05:14 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 23 Johnny Willemsen 2012-01-10 03:06:49 EST
With an upgrade to FC16 we can confirm that this issue still exists in FC16. The mentioned workaround also still works with FC16
Comment 24 Josh Boyer 2012-01-10 09:02:10 EST
(In reply to comment #23)
> With an upgrade to FC16 we can confirm that this issue still exists in FC16.
> The mentioned workaround also still works with FC16

Which kernel version on f16, and which workaround do you mean?  iommu=soft?

We disabled the intel iommu by default in kernels starting with 3.1.5-4, so anything in the current stable f16 updates should have it disabled.
Comment 25 Josh Boyer 2012-02-28 13:22:35 EST
With the iommu disabled by default, this bug should be worked around.  I'm going to close this bug out for now.  If anyone still sees this with 3.2.7 or newer, please reopen.

Note You need to log in before you can comment on or make changes to this bug.